%global modname zope.filerepresentation
%global srcname zope-filerepresentation
%global sum File-system Representation Interfaces

Name: 		python-%{srcname}
Version: 	4.1.0
Release: 	11%{?dist}
Summary: 	%{sum}

License: 	ZPLv2.1
Group: 		Development/Libraries
Source0: 	http://pypi.python.org/packages/source/z/%{modname}/%{modname}-%{version}.tar.gz
URL: 		http://pypi.python.org/pypi/zope.filerepresentation

BuildArch: 	noarch
BuildRequires: 	python2-devel, python2-setuptools, python2-zope-interface, python2-zope-schema
BuildRequires: 	python3-devel, python3-setuptools, python3-zope-interface, python3-zope-schema


%description
The interfaces defined here are used for file-system and file-system-like
representations of objects, such as file-system synchronization, FTP, PUT, and
WebDAV.


%package -n python2-%{srcname}
Summary:	%{sum}
Requires: 	python2-zope-interface
# This provides {python2_sitelib}/zope/
Requires: 	python2-zope-schema
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
The interfaces defined here are used for file-system and file-system-like
representations of objects, such as file-system synchronization, FTP, PUT, and
WebDAV.


%package -n python3-%{srcname}
Summary:	%{sum}
Requires: 	python3-zope-interface
# This provides {python3_sitelib}/zope/
Requires: 	python3-zope-schema
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
The interfaces defined here are used for file-system and file-system-like
representations of objects, such as file-system synchronization, FTP, PUT, and
WebDAV.


%prep
%setup -q -n %{modname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
# https://github.com/pypa/setuptools/issues/912
#%{__python3} setup.py test

%files -n python2-%{srcname}
%license LICENSE.txt COPYRIGHT.txt
%doc CHANGES.rst README.rst
%{python2_sitelib}/zope/filerepresentation/
%{python2_sitelib}/%{modname}-*.egg-info
%{python2_sitelib}/%{modname}-*-nspkg.pth

%files -n python3-%{srcname}
%license LICENSE.txt COPYRIGHT.txt
%doc CHANGES.rst README.rst
%{python3_sitelib}/zope/filerepresentation/
%{python3_sitelib}/%{modname}-*.egg-info
%{python3_sitelib}/%{modname}-*-nspkg.pth



%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 4.1.0-10
- Rebuilt for Python 3.7

* Wed Jan 31 2018 Iryna Shcherbina <ishcherb@redhat.com> - 4.1.0-9
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 4.1.0-6
- Rebuild for Python 3.6

* Fri Jul 22 2016 Petri Ylitalo <ylitalo.petri@gmail.com> - 4.1.0-5
- Ported to Python 3

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.0-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 18 2015 Ralph Bean <rbean@redhat.com> - 4.1.0-1
- new version

* Wed Feb 18 2015 Ralph Bean <rbean@redhat.com> - 4.1.2-1
- new version

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jan 28 2014 Ralph Bean <rbean@redhat.com> - 4.0.2-1
- Latest upstream.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 25 2013 Ralph Bean <rbean@redhat.com> - 4.0.1-2
- Added python-zope-{interface,schema} build requirements.

* Mon Feb 25 2013 Ralph Bean <rbean@redhat.com> - 4.0.1-1
- Latest upstream
- Added check section.
- README and CHANGES are now .rst, not .txt.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Mar 25 2012 Robin Lee <cheeselee@fedoraproject.org> - 3.6.1-1
- Update to 3.6.1
- Requires python-zope-schema
- Don't own %%{python_sitelib}/zope/

* Tue Sep 14 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.6.0-2
- Requires: python-zope-filesystem and python-setuptools removed
- Co-own %%{python_sitelib}/zope/
- Spec cleaned up

* Wed Jun 16 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.6.0-1
- Initial packaging
